Name:           loongson-policy
Version:        8.3
Release:        1%{dist}
Summary:        Default selinux policy for Loongnix-server8.3.

Group:          System Environment/Base
License:        GPLv2

Source0:        loongson-policy.pp.bz2

BuildArch:     noarch

Requires(pre): systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
This package contains the default selinux policy for Loongnix-server 8.3.

%prep
%setup -q  -c -T

%build

%install
install -D -m 0755 %{SOURCE0} %{buildroot}%{_sysconfdir}/loongson-policy.pp.bz2

%clean

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/loongson-policy.pp.bz2

%pre
#semodule -i %{_sysconfdir}/loongson-policy.pp.bz2

%post
semodule -i /etc/loongson-policy.pp.bz2

%preun
semodule -r loongson-policy

%postun
%systemd_postun


%changelog
* Tue Sep 14 2021 Peng Fan <fanpeng@loongson.cn> - 8.3
- Add default selinux policy.
